{
  "description": "Validation rules for Aircraft Configuration dataset",
  "version": "1.0.0",
  "rules": {
    "registration": {
      "max_length": {
        "threshold": 10
      },
      "non_empty_string": null
    },
    "ac_operator": {
      "max_length": {
        "threshold": 3
      },
      "non_empty_string": null
    },
    "ac_owner": {
      "max_length": {
        "threshold": 3
      },
      "non_empty_string": null
    },
    "ac_subtype": {
      "max_length": {
        "threshold": 3
      },
      "non_empty_string": null
    },
    "ac_state": {
      "only_allow": {
        "allowed_values": [
          "R",
          "O"
        ]
      }
    },
    "std_version": {
      "max_length": {
        "threshold": 20
      },
      "non_empty_string": null
    },
    "ap_restriction": {
      "max_length": {
        "threshold": 1
      },
      "non_empty_string": null
    },
    "ac_owner_name": {
      "max_length": {
        "threshold": 30
      },
      "non_empty_string": null
    },
    "ac_subtype_name": {
      "max_length": {
        "threshold": 30
      },
      "non_empty_string": null
    },
    "ac_category": {
      "max_length": {
        "threshold": 1
      },
      "non_empty_string": null
    },
    "fuel_measure_unit": {
      "max_length": {
        "threshold": 3
      },
      "non_empty_string": null
    },
    "ils_equipment": {
      "only_allow": {
        "allowed_values": [
          "I",
          "II",
          "IIIa",
          "IIIb"
        ]
      }
    },
    "autoland": {
      "only_allow": {
        "allowed_values": [
          "Y",
          "N"
        ]
      }
    },
    "dry_operating_wgt": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "max_takeoff_wgt": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "cargo_capacity": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "fuel_capacity": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "avg_fuel_consump": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "crewsize_cockpit": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "crewsize_cabin": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "noise": {
      "greater_than_or_equal_to": {
        "threshold": 0
      }
    },
    "remark": {
      "max_length": {
        "threshold": 80
      }
    },
    "ac_callsign": {
      "max_length": {
        "threshold": 5
      }
    },
    "radio": {
      "max_length": {
        "threshold": 1
      }
    },
    "phone": {
      "max_length": {
        "threshold": 20
      }
    },
    "special_equipment": {
      "max_length": {
        "threshold": 40
      }
    },
    "acars": {
      "only_allow": {
        "allowed_values": [
          "V",
          "H",
          "S"
        ]
      }
    },
    "alt_reg": {
      "max_length": {
        "threshold": 10
      }
    },
    "last_update_user_id": {
      "max_length": {
        "threshold": 32
      }
    },
    "std_version_alt_1": {
      "max_length": {
        "threshold": 20
      }
    },
    "std_version_alt_2": {
      "max_length": {
        "threshold": 20
      }
    },
    "std_version_alt_3": {
      "max_length": {
        "threshold": 20
      }
    },
    "std_version_alt_4": {
      "max_length": {
        "threshold": 20
      }
    },
    "homebase": {
      "max_length": {
        "threshold": 3
      }
    }
  }
}

